unit CM2EditorSupportInterface;

interface

Type
 ICM2EditorSupport10 = Interface
  ['{A8C505F5-6812-4EB8-9319-71A3B9DC6E2F}']
  Function ShowSensor(Index: Integer; OUT ShowAt: Byte): HResult; stdcall;
  Function ObjIns(SensorIndex: Integer; ParameterName: PChar; OUT ValueType: Byte; OUT ValueRange: PChar): HResult; stdcall;
 End;
 ICM2EditorSupportVis10 = Interface
  ['{7A17F3E7-64F5-43AB-BF77-B4278D74653B}']
  Function ObjIns(ParameterName: PChar; OUT ValueType: Byte; OUT ValueRange: PChar): HResult; stdcall;
 End;

Const
 // ShowAt
 saDesignTime = 0;
 saRuntimeOnly = 1;
 // ValueType
 vtUnknown = 0; // ValueRange = '';
 vtFixed = 1; // ValueRange = 'fixedItem|...|...|...|...';
 vtRange = 2; // ValueRange = 'Min|Max';
 vtColor = 3; // ValueRange = ''; // Value must be able to be converted to TColor
 vtFont = 4; // Valuerange = ''; // Editor will display a dropdown box of installed fonts
 vtFile = 5; // Valuerange = 'jpg|bmp|gif|txt'; // "|" seperated supported files list

implementation

end.
 